diff --git a/check_nt.c b/check_nt.c
index 32d4ff6..4b409e3 100644
--- a/check_nt.c
+++ b/check_nt.c
@@ -203,7 +203,12 @@ int main(int argc, char **argv){
 		uphours = (uptime % 86400) / 3600;
 		upminutes = ((uptime % 86400) % 3600) / 60;
 		asprintf(&output_message,_("System Uptime - %u day(s) %u hour(s) %u minute(s)"),updays,uphours, upminutes);
-		return_code=STATE_OK;
+        if(check_warning_value==TRUE && warning_value>uptime)
+            return_code=STATE_WARNING;
+        else if(check_critical_value==TRUE && critical_value>uptime)
+            return_code=STATE_CRITICAL;
+        else
+            return_code=STATE_OK;
 		break;
 
 	case CHECK_USEDDISKSPACE:
